%define upstream_name    Helios
%define upstream_version 2.83

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Helios service to index MP3s to a database table
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::IniFiles) >= 2.380.0
BuildRequires: perl(DBI) >= 1.520.0
BuildRequires: perl(Data::ObjectDriver) >= 0.40.0
BuildRequires: perl(Error) >= 0.170.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Pod::Usage) >= 0.10.0
BuildRequires: perl(Test::Simple) >= 0.720.0
BuildRequires: perl(TheSchwartz) >= 1.40.0
BuildRequires: perl(XML::Simple) >= 2.140.0
BuildArch:  noarch

%description
Helios is a system for building asynchronous distributed job processing
applications. Applications that need to process millions of small units of
work in parallel can use the Helios system to scale this work across the
multiple processes and servers that form a Helios collective. Helios may
also be used to improve the user experience on websites. By utilizing the
framework's APIs, potential timeout issues can be eliminated and response
times decreased for larger tasks invoked in response to user input. The web
server application can "fire and forget" in the background, immediately
returning control to the user. Using Helios, simple Perl applications can
be written to distribute massive workloads throughout the Helios collective
while still retaining centralized management.

The Helios module itself is merely a placeholder for versioning and
documentation purposes. If you want to require Helios (or a certain version
of it) in your package, adding

 Helios => 2.00

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install
rm -f %{buildroot}/%{perl_vendorlib}/README.pod

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README eg
%{_bindir}/*
%{_mandir}/man?/*
%{perl_vendorlib}/*

%changelog
* Tue Mar 22 2022 umeabot <umeabot> 2.830.0-6.mga9
+ Revision: 1817140
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.830.0-5.mga8
+ Revision: 1494836
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.830.0-4.mga7
+ Revision: 1268476
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.830.0-3.mga6
+ Revision: 1028208
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2.830.0-2.mga6
+ Revision: 969352
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 2.830.0-1.mga6
+ Revision: 868458
- update to 2.83

* Thu Jun 25 2015 shlomif <shlomif> 2.820.0-1.mga6
+ Revision: 843208
- update to 2.82

* Wed Oct 15 2014 umeabot <umeabot> 2.810.0-3.mga5
+ Revision: 739278
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 2.810.0-1.mga5
+ Revision: 664399
- update to 2.81

* Mon Mar 17 2014 jquelin <jquelin> 2.800.0-1.mga5
+ Revision: 604390
- update to 2.80

* Sat Oct 19 2013 umeabot <umeabot> 2.610.0-2.mga4
+ Revision: 534872
- Mageia 4 Mass Rebuild

* Sun Sep 15 2013 sander85 <sander85> 2.610.0-1.mga4
+ Revision: 479862
- update to 2.61

* Sun Jan 13 2013 umeabot <umeabot> 2.600.0-2.mga3
+ Revision: 368428
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 17 2012 shlomif <shlomif> 2.600.0-1.mga3
+ Revision: 319183
- New version 2.60 + get rid of README.pod

* Mon Jun 04 2012 kharec <kharec> 2.410.0-1.mga3
+ Revision: 254414
- imported package perl-Helios


* Mon Jun 04 2012 cpan2dist 2.41-1mga
- initial mageia release, generated with cpan2dist
